Share via


Sync Agents - Create Or Update

Creates or updates a sync agent.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/syncAgents/{syncAgentName}?api-version=2025-01-01

URI Parameters

Name In Required Type Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

serverName
path True

string

The name of the server.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

syncAgentName
path True

string

The name of the sync agent.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Type Description
properties.syncDatabaseId

string

ARM resource id of the sync database in the sync agent.

Responses

Name Type Description
200 OK

SyncAgent

Resource 'SyncAgent' update operation succeeded

201 Created

SyncAgent

Resource 'SyncAgent' create operation succeeded

Headers

  • Location: string
  • Retry-After: integer
202 Accepted

Resource operation accepted.

Headers

  • Location: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Create a new sync agent
Update a sync agent

Create a new sync agent

Sample request

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/syncagentcrud-65440/providers/Microsoft.Sql/servers/syncagentcrud-8475/syncAgents/syncagentcrud-3187?api-version=2025-01-01

{
  "properties": {
    "syncDatabaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-Onebox/providers/Microsoft.Sql/servers/syncagentcrud-8475/databases/sync"
  }
}

Sample response

{
  "name": "syncagent",
  "type": "Microsoft.Sql/servers/syncAgents",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-Onebox/providers/Microsoft.Sql/servers/syncagentcrud-8475/syncAgents/syncagentcrud-3187",
  "properties": {
    "expiryTime": "9999-12-31T23:59:59.9999999Z",
    "isUpToDate": true,
    "state": "NeverConnected",
    "syncDatabaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-Onebox/providers/Microsoft.Sql/servers/syncagentcrud-8475/databases/sync",
    "version": "4.2.0.0"
  }
}
{
  "name": "syncagent",
  "type": "Microsoft.Sql/servers/syncAgents",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-Onebox/providers/Microsoft.Sql/servers/syncagentcrud-8475/syncAgents/syncagentcrud-3187",
  "properties": {
    "expiryTime": "9999-12-31T23:59:59.9999999Z",
    "isUpToDate": true,
    "state": "NeverConnected",
    "syncDatabaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-Onebox/providers/Microsoft.Sql/servers/syncagentcrud-8475/databases/sync",
    "version": "4.2.0.0"
  }
}

Update a sync agent

Sample request

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/syncagentcrud-65440/providers/Microsoft.Sql/servers/syncagentcrud-8475/syncAgents/syncagentcrud-3187?api-version=2025-01-01

{
  "properties": {
    "syncDatabaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-Onebox/providers/Microsoft.Sql/servers/syncagentcrud-8475/databases/sync"
  }
}

Sample response

{
  "name": "syncagent",
  "type": "Microsoft.Sql/servers/syncAgents",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-Onebox/providers/Microsoft.Sql/servers/syncagentcrud-8475/syncAgents/syncagentcrud-3187",
  "properties": {
    "expiryTime": "9999-12-31T23:59:59.9999999Z",
    "isUpToDate": true,
    "state": "NeverConnected",
    "syncDatabaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-Onebox/providers/Microsoft.Sql/servers/syncagentcrud-8475/databases/sync",
    "version": "4.2.0.0"
  }
}
{
  "name": "syncagent",
  "type": "Microsoft.Sql/servers/syncAgents",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-Onebox/providers/Microsoft.Sql/servers/syncagentcrud-8475/syncAgents/syncagentcrud-3187",
  "properties": {
    "expiryTime": "9999-12-31T23:59:59.9999999Z",
    "isUpToDate": true,
    "state": "NeverConnected",
    "syncDatabaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-Onebox/providers/Microsoft.Sql/servers/syncagentcrud-8475/databases/sync",
    "version": "4.2.0.0"
  }
}
Location: https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/locations/westus/operation/00000000-1111-2222-3333-444444444444?api-version=2022-11-01-preview

Definitions

Name Description
createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

SyncAgent

An Azure SQL Database sync agent.

SyncAgentState

State of the sync agent.

systemData

Metadata pertaining to creation and last modification of the resource.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

SyncAgent

An Azure SQL Database sync agent.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.expiryTime

string (date-time)

Expiration time of the sync agent version.

properties.isUpToDate

boolean

If the sync agent version is up to date.

properties.lastAliveTime

string (date-time)

Last alive time of the sync agent.

properties.name

string

Name of the sync agent.

properties.state

SyncAgentState

State of the sync agent.

properties.syncDatabaseId

string

ARM resource id of the sync database in the sync agent.

properties.version

string

Version of the sync agent.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

SyncAgentState

State of the sync agent.

Value Description
Online

Online

Offline

Offline

NeverConnected

NeverConnected

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.